<?xml version="1.0" encoding="UTF-8"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:db="http://docbook.org/ns/docbook" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:xlink="http://www.w3.org/1999/xlink" version="5.0-subset Scilab" xml:id="SCOPE">


<refnamediv>
<refname>SCOPE</refname>
<refpurpose>Single or multiple scope</refpurpose>
</refnamediv>
<refsection>
<title>Block screenshot</title>
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="../../images/gif/SCOPE.gif" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
</refsection>


<refsection id="Contents_SCOPE">
<title>Contents</title>
<itemizedlist>
<listitem>
<para>
<link linkend="SCOPE">Single or multiple scope</link>
</para>
<itemizedlist>
<listitem>
<para>
<xref linkend="Palette_SCOPE">Palette</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Description_SCOPE">Description</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Dialogue_box_SCOPE">Dialog box</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Defaultproperties_SCOPE">Default Properties</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Example1_SCOPE">Example 1</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Example2_SCOPE">Example 2</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Example3_SCOPE">Example 3</xref>
</para>
</listitem>

<listitem>
<para>
<xref linkend="Interfacingfunction_SCOPE">Interfacing function</xref>
</para>
</listitem>
<listitem>
<para>
<xref linkend="Seealso_SCOPE">See also</xref>
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsection>
<refsection id="Palette_SCOPE">
<title>Palette</title>
<itemizedlist>
<listitem>
<para>
CPGE - Outputs
</para>
</listitem>
</itemizedlist>
</refsection>



<refsection id="Description_SCOPE">
<title>Description</title>
<para>
This block allows to plot the temporal evolutions of one or more inputs.
</para>
<para>
A REP_TEMP block must be added to define the duration of the simulation.
</para>
<para>
The x-axis is in seconde.
</para>
<para>
<emphasis role="bold">Type of input:</emphasis> The input can be a scalar or a vector.
</para>

</refsection>



<refsection id="Dialogue_box_SCOPE">
<title>Dialog box</title>
The setting of the block is done with 2 dialog boxes.
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_dialogue1.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
The first dialog box allows to select the number of curves to plot. Precise an integer between 1 and 7. These curves will be superimposed on the same graph with different colors.

<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_dialogue2.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
<para>
The second dialog box allows to nominate each plotted curve (legend of the graph).

</para>
<para>
If many scopes are used in the Xcos diagram, the graphics will be combined in a single figure (using subplot).

</para>
<para>
By default, the figures are plotted when the simulation is complete (which saves execution time).
</para>
</refsection>


<refsection id="Defaultproperties_SCOPE">
<title>Default properties</title>
<itemizedlist>
<listitem>
<para><emphasis role="bold">Score parameters : </emphasis> 1</para>
</listitem>
<listitem>
<para><emphasis role="bold">Optional parameters:</emphasis> curve</para>
</listitem>
</itemizedlist>
</refsection>


<refsection id="Example1_SCOPE">
<title>Example 1</title>
It is possible to plot multiple curves in a single figure.

<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_exemple1-1.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_exemple1-2.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>


</refsection>





<refsection id="Example2_SCOPE">
<title>Example 2</title>
It is possible to overlay multiple curves in one figure.

<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_exemple2-1.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_exemple2-2.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>


</refsection>







<refsection id="Example3_SCOPE">
<title>Example 3</title>
It is possible to overlay and to distinguish several curves in the same figure (choice of two curves in the parameters of scope).
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_exemple3-1.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>
<para>
<inlinemediaobject>
<imageobject>
<imagedata align="center" fileref="SCOPE_exemple3-2.png" valign="middle"/>
</imageobject>
</inlinemediaobject>
</para>


</refsection>








<refsection id="Interfacingfunction_SCOPE">
<title>Interfacing function</title>
<itemizedlist>
<listitem>
<para> CPGE_TOOLBOX/macros/SCOPE.sci</para>
</listitem>
</itemizedlist>
</refsection>


<refsection id="Seealso_SCOPE">
<title>See also</title>
<itemizedlist>
<listitem>
<para> REP_TEMP</para>
</listitem>
<listitem>
<para> CSCOPE - Single Display Scope</para>
</listitem>
<listitem>
<para> CMSCOPE - Multi display scope</para>
</listitem>
</itemizedlist>
</refsection>


</refentry>
